extends layout

append styles
    link(rel='stylesheet', href='/stylesheets/app_config_generator.css')

append scripts
    script(type="module" src="scripts/app_config_generator.js")

block header
    +headerTitle("App Config Generator")

block content
    .main.container
        .row
            .col-md-6.col-md-offset-3
                h1.display-4.m-b-2 PlayerID
                    div.form-group
                        label(for='playerid') Player ID
                        input.form-control(type='number' id='playerid' placeholder='-1' name='playerid')
                    button.btn.btn-primary(onclick='onBtnGenerateClick()') Generate
            .col-md-6.col-md-offset-3
                canvas#qr-canvas(width=500, height=500)
